<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('Produkty', '', 'products')"></div>

    <main id="main" class="container">

        <div class="flex-grow-1 px-1 py-2">

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <!--SEARCH-->
            <div class="input-group mb-2">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-search"></i>
                    </span>
                </div>
                <input id="productInput" type="text" class="form-control" placeholder="Název nebo id"
                       aria-label="Název nebo id" aria-describedby="basic-addon1">
            </div>

            <!--TABLE-->
            <div id="productList" th:fragment="productList(products)">

                <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                     th:if="${#lists.isEmpty(products)}">
                    <span>Nepodařilo se najít žádný produkt</span>
                </div>

                <div th:if="${not #lists.isEmpty(products)}">

                    <div class="listItem border p-2 px-sm-3 d-flex"
                         th:each="product : ${products}"
                         th:onclick="'redirectTo(\'' + @{/admin/product/} + ${product.id} + '\')'">

                        <div>
                            <h5 class="mb-2" th:text="${product.name}"></h5>
                            <div>
                                <span th:if="${product.isAvailable()}"
                                      class="badge badge-pill badge-success mr-2">Volný</span>
                                <span th:if="${!product.isAvailable()}"
                                      th:text="${product.currentBorrow.getFormatToDate()}"
                                      class="badge badge-pill badge-danger mr-2"></span>
                                <span class="mb-0">cena: <strong th:text="${product.getFormatPrice()}"></strong></span>
                            </div>
                        </div>

                        <div class="ml-auto text-right">
                            <p class="small text-muted mb-1" th:text="${product.id}"></p>
                            <div class="mt-auto">
                                <a th:if="${product.isAvailable()}"
                                   th:href="@{/admin/borrow/new?productIds=} + ${product.id}"
                                   class="productActionBtn btn btn-sm btn-success px-3">
                                    Vypůjčit
                                </a>
                                <a th:if="${!product.isAvailable()}"
                                   th:href="@{/admin/borrow/return/} + ${product.currentBorrow.id}"
                                   class="productActionBtn btn btn-sm btn-danger px-3">
                                    Vrátit
                                </a>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </main>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

<script>
    var searchInput = $('#productInput');

    if (searchInput) {
        searchInput.on("input", function (e) {

            $.ajax({
                url: '/admin/product/search',
                type: 'POST',
                data: {value: this.value}, //JSON.stringify(orderId)
                success: function (data) {
                    var htmlData = $(data)[0];
                    var list = $('#productList')[0];
                    list.innerHTML = htmlData.innerHTML;
                },
                error: function (a, b, c) {
                    console.log(a, b, c);
                }
            });
        });

        //enter - vypůjčení prvního produktu v listu
        searchInput.on("keyup", function (event) {
            // Enter
            if (event.keyCode === 13) {
                var btns = $('.productActionBtn');
                if (btns.length > 0) {
                    btns[0].click();
                }
            }
        });
    }
</script>

</body>
</html>